Bug 176076 - [maintainer update] update lang/basic256 to 0.9.9.46
Summary: [maintainer update] update lang/basic256 to 0.9.9.46
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-12 17:10 UTC by Fernando Apesteguía
Modified: 2013-02-13 01:20 UTC (History)
0 users

See Also:


Attachments
file.diff (10.53 KB, patch)
2013-02-12 17:10 UTC, Fernando Apesteguía
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2013-02-12 17:10:00 UTC
Update lang/basic256 to 0.9.9.46
This release adds new examples and fixes some minor bugs

Fix: Apply the attached patch.

Build tested in redports.

https://redports.org/~fernape/20130211230201-22963-104570/basic256-0.9.9.46.log
https://redports.org/~fernape/20130211230201-22963-104571/basic256-0.9.9.46.log

Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2013-02-13 01:16:46 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 2 dfilter service freebsd_committer 2013-02-13 01:16:48 UTC
Author: miwi
Date: Wed Feb 13 01:16:39 2013
New Revision: 312139
URL: http://svnweb.freebsd.org/changeset/ports/312139

Log:
  - Update to 0.9.9.46
  
  PR:		176076
  Submitted by:	maintainer

Modified:
  head/lang/basic256/Makefile
  head/lang/basic256/distinfo
  head/lang/basic256/files/patch-BASIC256.pro
  head/lang/basic256/pkg-plist

Modified: head/lang/basic256/Makefile
==============================================================================
--- head/lang/basic256/Makefile	Wed Feb 13 01:15:57 2013	(r312138)
+++ head/lang/basic256/Makefile	Wed Feb 13 01:16:39 2013	(r312139)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	basic256
-PORTVERSION=	0.9.9.38
+PORTVERSION=	0.9.9.46
 CATEGORIES=	lang
 MASTER_SITES=	SF
 MASTER_SITE_SUBDIR=	kidbasic/${PORTNAME}

Modified: head/lang/basic256/distinfo
==============================================================================
--- head/lang/basic256/distinfo	Wed Feb 13 01:15:57 2013	(r312138)
+++ head/lang/basic256/distinfo	Wed Feb 13 01:16:39 2013	(r312139)
@@ -1,2 +1,2 @@
-SHA256 (basic256_0.9.9.38.tgz) = 1af573364f6d6979a80518adbeb899a347637b3fe0e3741c0564a330c8404aa3
-SIZE (basic256_0.9.9.38.tgz) = 1723391
+SHA256 (basic256_0.9.9.46.tgz) = 2d2cb4f665f8a10a6c2f011c5abc5d9a0e295d58b5e0edf72bbfcde688881481
+SIZE (basic256_0.9.9.46.tgz) = 1777450

Modified: head/lang/basic256/files/patch-BASIC256.pro
==============================================================================
--- head/lang/basic256/files/patch-BASIC256.pro	Wed Feb 13 01:15:57 2013	(r312138)
+++ head/lang/basic256/files/patch-BASIC256.pro	Wed Feb 13 01:16:39 2013	(r312139)
@@ -1,47 +1,26 @@
---- BASIC256.pro.orig	2013-01-07 19:49:52.000000000 +0100
-+++ BASIC256.pro	2013-01-07 19:59:34.000000000 +0100
-@@ -84,33 +84,33 @@
- 	#DEFINES 		+= SOUND_DSP
- 
-         # Sound - Option 1 - SDL Mixer
--	#DEFINES 		+= SOUND_SDL
--	#LIBS			+= -lSDL
--	#LIBS			+= -lSDL_mixer
-+	DEFINES 		+= SOUND_SDL
-+	LIBS			+= -lSDL
-+	LIBS			+= -lSDL_mixer
- 
- 	# Sound - Option 2 - QT Mobility Multimedia AudioOut
--	DEFINES 		+= SOUND_QMOBILITY
--	QT			+= mobility
--	CONFIG			+= mobility
--	MOBILITY		+= multimedia
-+	#DEFINES 		+= SOUND_QMOBILITY
-+	#QT			+= mobility
-+	#CONFIG			+= mobility
-+	#MOBILITY		+= multimedia
- 
-         ########
+--- BASIC256.pro.orig	2013-02-11 23:43:57.000000000 +0100
++++ BASIC256.pro	2013-02-11 23:47:27.000000000 +0100
+@@ -101,19 +101,19 @@
  	# rules for make install
-         ########
- 	exampleFiles.files = ./Examples
--	exampleFiles.path = /usr/share/basic256
-+	exampleFiles.path = $$PREFIX/share/basic256
- 	INSTALLS += exampleFiles
- 
- 	helpHTMLFiles.files = ./wikihelp/help
--	helpHTMLFiles.path = /usr/share/basic256
-+	helpHTMLFiles.path = $$PREFIX/share/basic256
- 	INSTALLS += helpHTMLFiles
- 
- 	transFiles.files = ./Translations/*.qm
--	transFiles.path = /usr/share/basic256
-+	transFiles.path = $$PREFIX/share/basic256
- 	INSTALLS += transFiles
+ 	########
+ 	exampleFiles.files		=	./Examples
+-	exampleFiles.path		=	/usr/share/basic256
++	exampleFiles.path		=	$$PREFIX/share/basic256
+ 	INSTALLS				+=	exampleFiles
+ 
+ 	helpHTMLFiles.files		=	./wikihelp/help
+-	helpHTMLFiles.path		=	/usr/share/basic256
++	helpHTMLFiles.path		=	$$PREFIX/share/basic256
+ 	INSTALLS				+=	helpHTMLFiles
+ 
+ 	transFiles.files		=	./Translations/*.qm
+-	transFiles.path			=	/usr/share/basic256
++	transFiles.path			=	$$PREFIX/share/basic256
+ 	INSTALLS				+=	transFiles
  
  	# main program executable
--	target.path = /usr/local/bin
-+	target.path = $$PREFIX/bin
- 	INSTALLS += target
+-	target.path				=	/usr/local/bin
++	target.path				=	$$PREFIX/bin
+ 	INSTALLS				+=	target
  
  }

Modified: head/lang/basic256/pkg-plist
==============================================================================
--- head/lang/basic256/pkg-plist	Wed Feb 13 01:15:57 2013	(r312138)
+++ head/lang/basic256/pkg-plist	Wed Feb 13 01:16:39 2013	(r312139)
@@ -80,15 +80,8 @@ bin/BASIC256
 %%DATADIR%%/Examples/t.kbc
 %%DATADIR%%/Examples/teamdatabase.kbs
 %%DATADIR%%/Examples/teamdatabase.sqlite3
-%%DATADIR%%/Examples/testing/2darraytest.kbs
-%%DATADIR%%/Examples/testing/2dstrarraytest.kbs
 %%DATADIR%%/Examples/testing/KalRGB.kbs
 %%DATADIR%%/Examples/testing/README.txt
-%%DATADIR%%/Examples/testing/arraylistassign.kbs
-%%DATADIR%%/Examples/testing/beautifytest.kbs
-%%DATADIR%%/Examples/testing/binary.dat
-%%DATADIR%%/Examples/testing/binaryfileio.kbs
-%%DATADIR%%/Examples/testing/counttest.kbs
 %%DATADIR%%/Examples/testing/explodetest.kbs
 %%DATADIR%%/Examples/testing/fontdemo.kbs
 %%DATADIR%%/Examples/testing/foo.txt
@@ -99,6 +92,7 @@ bin/BASIC256
 %%DATADIR%%/Examples/testing/random_one.kbs
 %%DATADIR%%/Examples/testing/readbinary_test.kbs
 %%DATADIR%%/Examples/testing/replacetest.kbs
+%%DATADIR%%/Examples/testing/rgbarecode.kbs
 %%DATADIR%%/Examples/testing/tes_oo.kbs
 %%DATADIR%%/Examples/testing/test_dountil.kbs
 %%DATADIR%%/Examples/testing/test_logicalops.kbs
@@ -269,8 +263,10 @@ bin/BASIC256
 %%DATADIR%%/help/de_writeline.html
 %%DATADIR%%/help/de_year.html
 %%DATADIR%%/help/de_zeichenketten-konstantenauchtext-konstanten.html
+%%DATADIR%%/help/en:start#Text
 %%DATADIR%%/help/en_abs.html
 %%DATADIR%%/help/en_acos.html
+%%DATADIR%%/help/en_alert.html
 %%DATADIR%%/help/en_anonymousarrays.html
 %%DATADIR%%/help/en_arc.html
 %%DATADIR%%/help/en_arrays.html
@@ -293,6 +289,7 @@ bin/BASIC256
 %%DATADIR%%/help/en_color.html
 %%DATADIR%%/help/en_commandline.html
 %%DATADIR%%/help/en_compileerrorcodes.html
+%%DATADIR%%/help/en_confirm.html
 %%DATADIR%%/help/en_cos.html
 %%DATADIR%%/help/en_count.html
 %%DATADIR%%/help/en_countx.html
@@ -312,9 +309,15 @@ bin/BASIC256
 %%DATADIR%%/help/en_degrees.html
 %%DATADIR%%/help/en_dim.html
 %%DATADIR%%/help/en_dir.html
+%%DATADIR%%/help/en_do.html
 %%DATADIR%%/help/en_dountil.html
 %%DATADIR%%/help/en_editvisible.html
+%%DATADIR%%/help/en_else.html
 %%DATADIR%%/help/en_end.html
+%%DATADIR%%/help/en_endfunction.html
+%%DATADIR%%/help/en_endif.html
+%%DATADIR%%/help/en_endsubroutine.html
+%%DATADIR%%/help/en_endwhile.html
 %%DATADIR%%/help/en_eof.html
 %%DATADIR%%/help/en_errorcodes.html
 %%DATADIR%%/help/en_exists.html
@@ -325,16 +328,24 @@ bin/BASIC256
 %%DATADIR%%/help/en_float.html
 %%DATADIR%%/help/en_floor.html
 %%DATADIR%%/help/en_font.html
+%%DATADIR%%/help/en_for.html
 %%DATADIR%%/help/en_fornext.html
 %%DATADIR%%/help/en_freedb.html
 %%DATADIR%%/help/en_freedbset.html
 %%DATADIR%%/help/en_freefile.html
 %%DATADIR%%/help/en_freenet.html
+%%DATADIR%%/help/en_frombinary.html
+%%DATADIR%%/help/en_fromhex.html
+%%DATADIR%%/help/en_fromoctal.html
+%%DATADIR%%/help/en_fromradix.html
 %%DATADIR%%/help/en_function.html
+%%DATADIR%%/help/en_getbrushcolor.html
 %%DATADIR%%/help/en_getcolor.html
+%%DATADIR%%/help/en_getpenwidth.html
 %%DATADIR%%/help/en_getsetting.html
 %%DATADIR%%/help/en_getslice.html
 %%DATADIR%%/help/en_global.html
+%%DATADIR%%/help/en_gosub.html
 %%DATADIR%%/help/en_gosubreturn.html
 %%DATADIR%%/help/en_goto.html
 %%DATADIR%%/help/en_graphheight.html
@@ -342,6 +353,7 @@ bin/BASIC256
 %%DATADIR%%/help/en_graphvisible.html
 %%DATADIR%%/help/en_graphwidth.html
 %%DATADIR%%/help/en_hour.html
+%%DATADIR%%/help/en_if.html
 %%DATADIR%%/help/en_ifthen.html
 %%DATADIR%%/help/en_imgload.html
 %%DATADIR%%/help/en_imgsave.html
@@ -377,6 +389,7 @@ bin/BASIC256
 %%DATADIR%%/help/en_netlisten.html
 %%DATADIR%%/help/en_netread.html
 %%DATADIR%%/help/en_netwrite.html
+%%DATADIR%%/help/en_next.html
 %%DATADIR%%/help/en_numericconstants.html
 %%DATADIR%%/help/en_offerror.html
 %%DATADIR%%/help/en_onerror.html
@@ -394,6 +407,7 @@ bin/BASIC256
 %%DATADIR%%/help/en_portout.html
 %%DATADIR%%/help/en_print.html
 %%DATADIR%%/help/en_programsyntax.html
+%%DATADIR%%/help/en_prompt.html
 %%DATADIR%%/help/en_putslice.html
 %%DATADIR%%/help/en_radians.html
 %%DATADIR%%/help/en_rand.html
@@ -445,7 +459,13 @@ bin/BASIC256
 %%DATADIR%%/help/en_techinformation.html
 %%DATADIR%%/help/en_text.html
 %%DATADIR%%/help/en_textwidth.html
+%%DATADIR%%/help/en_then.html
 %%DATADIR%%/help/en_throwerror.html
+%%DATADIR%%/help/en_tobinary.html
+%%DATADIR%%/help/en_tohex.html
+%%DATADIR%%/help/en_tooctal.html
+%%DATADIR%%/help/en_toradix.html
+%%DATADIR%%/help/en_until.html
 %%DATADIR%%/help/en_upper.html
 %%DATADIR%%/help/en_variables.html
 %%DATADIR%%/help/en_version.html
@@ -453,6 +473,7 @@ bin/BASIC256
 %%DATADIR%%/help/en_wavplay.html
 %%DATADIR%%/help/en_wavstop.html
 %%DATADIR%%/help/en_wavwait.html
+%%DATADIR%%/help/en_while.html
 %%DATADIR%%/help/en_whileendwhile.html
 %%DATADIR%%/help/en_write.html
 %%DATADIR%%/help/en_writebyte.html
@@ -508,9 +529,7 @@ bin/BASIC256
 %%DATADIR%%/help/es_floor.html
 %%DATADIR%%/help/es_font.html
 %%DATADIR%%/help/es_fornext.html
-%%DATADIR%%/help/en_getbrushcolor.html
 %%DATADIR%%/help/es_getcolor.html
-%%DATADIR%%/help/en_getpenwidth.html
 %%DATADIR%%/help/es_getsetting.html
 %%DATADIR%%/help/es_getslice.html
 %%DATADIR%%/help/es_gosubreturn.html
@@ -764,6 +783,7 @@ bin/BASIC256
 %%DATADIR%%/help/fr_write.html
 %%DATADIR%%/help/fr_writeline.html
 %%DATADIR%%/help/fr_year.html
+%%DATADIR%%/help/fullindex.html
 %%DATADIR%%/help/galleryjmreneau.html
 %%DATADIR%%/help/galleryjoelkahn.html
 %%DATADIR%%/help/games.html
@@ -785,15 +805,15 @@ bin/BASIC256
 %%DATADIR%%/help/graphicsutilitiesstampmaker.html
 %%DATADIR%%/help/graphicsutility.html
 %%DATADIR%%/help/index.html
-%%DATADIR%%/help/pt_arc.html
-%%DATADIR%%/help/pt_chord.html
-%%DATADIR%%/help/pt_pie.html
+%%DATADIR%%/help/lib/exe/alert.png
 %%DATADIR%%/help/lib/exe/arc_example.png
 %%DATADIR%%/help/lib/exe/basic256.png
 %%DATADIR%%/help/lib/exe/chord_example.png
 %%DATADIR%%/help/lib/exe/circle.png
 %%DATADIR%%/help/lib/exe/color.png
+%%DATADIR%%/help/lib/exe/confirm.png
 %%DATADIR%%/help/lib/exe/css1353871590.css
+%%DATADIR%%/help/lib/exe/css1359429941.css
 %%DATADIR%%/help/lib/exe/de.png
 %%DATADIR%%/help/lib/exe/en.png
 %%DATADIR%%/help/lib/exe/en_cir.png
@@ -822,10 +842,10 @@ bin/BASIC256
 %%DATADIR%%/help/lib/exe/fr_cos.jpg
 %%DATADIR%%/help/lib/exe/fr_sin.jpg
 %%DATADIR%%/help/lib/exe/fr_tan.jpg
+%%DATADIR%%/help/lib/exe/gamesballoons.png
 %%DATADIR%%/help/lib/exe/gamescopycat.png
 %%DATADIR%%/help/lib/exe/gamesspinner.png
 %%DATADIR%%/help/lib/exe/graphicsutilitiesstamp2sprite.png
-%%DATADIR%%/help/lib/exe/gamesballoons.png
 %%DATADIR%%/help/lib/exe/jmreneau_mobius.png
 %%DATADIR%%/help/lib/exe/jmreneau_morie.png
 %%DATADIR%%/help/lib/exe/line.png
@@ -847,6 +867,7 @@ bin/BASIC256
 %%DATADIR%%/help/lib/exe/nl_wrong_string.png
 %%DATADIR%%/help/lib/exe/opensearch.php
 %%DATADIR%%/help/lib/exe/pie_chart.png
+%%DATADIR%%/help/lib/exe/prompt.png
 %%DATADIR%%/help/lib/exe/pt.png
 %%DATADIR%%/help/lib/exe/rect.png
 %%DATADIR%%/help/lib/exe/ro.png
@@ -1060,6 +1081,7 @@ bin/BASIC256
 %%DATADIR%%/help/pt_abs.html
 %%DATADIR%%/help/pt_acos.html
 %%DATADIR%%/help/pt_anonymousarrays.html
+%%DATADIR%%/help/pt_arc.html
 %%DATADIR%%/help/pt_arrays.html
 %%DATADIR%%/help/pt_asc.html
 %%DATADIR%%/help/pt_asin.html
@@ -1067,6 +1089,7 @@ bin/BASIC256
 %%DATADIR%%/help/pt_call.html
 %%DATADIR%%/help/pt_ceil.html
 %%DATADIR%%/help/pt_changedir.html
+%%DATADIR%%/help/pt_chord.html
 %%DATADIR%%/help/pt_chr.html
 %%DATADIR%%/help/pt_circle.html
 %%DATADIR%%/help/pt_clg.html
@@ -1169,6 +1192,7 @@ bin/BASIC256
 %%DATADIR%%/help/pt_ostype.html
 %%DATADIR%%/help/pt_outputvisible.html
 %%DATADIR%%/help/pt_pause.html
+%%DATADIR%%/help/pt_pie.html
 %%DATADIR%%/help/pt_pixel.html
 %%DATADIR%%/help/pt_plot.html
 %%DATADIR%%/help/pt_poly.html
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"